Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.security
Interface SecurityRealm

All Known Implementing Classes:
  DefaultSecurityRealm

    public interface SecurityRealm

Represents a security realm with some basic operations.

Author:
  Simon Brown

Method Summary
`void` | `changePassword(java.lang.String username, java.lang.String password)` Changes a user's password.
`void` | `createUser(PebbleUserDetails pud)` Creates a new user.
`PebbleUserDetails` | `getUser(java.lang.String username)` Looks up and returns user details for the given username.
`java.util.Collection<PebbleUserDetails>` | `getUsers()` Looks up and returns a collection of all users.
`void` | `removeUser(java.lang.String username)` Removes user details for the given username.
`void` | `updateUser(PebbleUserDetails pud)` Updates user details, except for the password

Method Detail

### getUsers

    java.util.Collection<PebbleUserDetails> getUsers()
                                                     throws SecurityRealmException

  Looks up and returns a collection of all users.

  Returns:
    a Collection of PebbleUserDetails objects
  Throws:
    `SecurityRealmException`

### getUser

    PebbleUserDetails getUser(java.lang.String username)
                              throws SecurityRealmException

  Looks up and returns user details for the given username.

  Parameters:
    `username` - the username to find details for
  Returns:
    a PebbleUserDetails instance
  Throws:
    `SecurityRealmException`

### createUser

    void createUser(PebbleUserDetails pud)
                    throws SecurityRealmException

  Creates a new user.

  Parameters:
    `pud` - a PebbleUserDetails instance
  Throws:
    `SecurityRealmException`

### updateUser

    void updateUser(PebbleUserDetails pud)
                    throws SecurityRealmException

  Updates user details, except for the password

  Parameters:
    `pud` - a PebbleUserDetails instance
  Throws:
    `SecurityRealmException`

### changePassword

    void changePassword(java.lang.String username,
                        java.lang.String password)
                        throws SecurityRealmException

  Changes a user's password.

  Parameters:
    `username` - the username of the user
    `password` - the new password
  Throws:
    `SecurityRealmException`

### removeUser

    void removeUser(java.lang.String username)
                    throws SecurityRealmException

  Removes user details for the given username.

  Parameters:
    `username` - the username of the user to remove
  Throws:
    `SecurityRealmException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.